> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List My Api Keys



## OpenAPI

````yaml /api/openapi-cutmake.json get /api-keys/me
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api-keys/me:
    get:
      tags:
        - API Keys
      summary: List My Api Keys
      operationId: list_my_api_keys_api_keys_me_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/APIKeyRead'
                title: Response List My Api Keys Api Keys Me Get
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    APIKeyRead:
      properties:
        id:
          type: string
          title: Id
        org_id:
          type: string
          title: Org Id
        name:
          type: string
          title: Name
        permissions:
          items:
            type: string
          type: array
          title: Permissions
        rate_limit:
          type: integer
          title: Rate Limit
        created_at:
          type: string
          format: date-time
          title: Created At
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        is_active:
          type: boolean
          title: Is Active
        last_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used At
        created_by_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Id
      type: object
      required:
        - id
        - org_id
        - name
        - rate_limit
        - created_at
        - expires_at
        - is_active
        - last_used_at
        - created_by_id
      title: APIKeyRead
      description: Schema for responses that should not leak the hashed key.
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````